%define name smeserver-dhcpmanager
%define version 1.8.0
%define release 5

Summary: provide a dhcp panel in the server-manager for The SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
#Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: net-tools
Requires: nmap >= 2:6.25
AutoReqProv: no
Patch0: smeserver-dhcpmanager-1.8.0-locale-2015-09-12.patch
Patch1: smeserver-dhcpmanager-1.8.0-locale-2016-03-09.patch
Patch2: smeserver-dhcpmanager-1.8.0-locale-2017-03-25.patch

%description
Implementation of some feature arround dhcp clients like : wol, cleaning dhcpd.leases, Scan of your network etc//

%changelog
* Sat Mar 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.8.0-5.sme
- apply locale 2017-03-25

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.8.0-4.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.8.0-2.sme
- Added smeserver-dhcpmanager-1.8.0-locale-2015-09-12.patch

* Tue Aug 18 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.8.0-1.sme
-Translations added
-new WebUI

* Wed Feb 05 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-11
- add default db values and change options to nmap in order to see name of computer
 
* Mon Jan 13 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-10
- english wording correction [sme:8122]
- change the nmap version to 6.25 (available in smecontribs) [sme:8120]
- add an option to remove all leases
- some subroutines added in the goal to save settings and stay on the same page (main page and connected IP)
- some menu setting box redesigned.

* Sun Jan 05 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-5
- Add a checkIP routine against wrong IP [sme:8015]
- Add a new panel to see connected IP [sme:8113]
- Add a counter of host up on the LAN (using nmap) [sme:8111]

* Sun Dec 29 2013 Stephane de Labrusse <stephdl@de-labrusse.fr> smeserver-dhcpmanager-1.5-3
- adaptation for SME Server 8.0
* Thu Dec 23 2004 Thierry Quaak <thierry@quaak.net>
- Last release of e-smith-dhcpmanager-1.5-1, thanks a lot for his work



%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#/etc/e-smith/events/actions/navigation-conf




%postun
#rm /etc/e-smith/templates-custom/etc/dhcpd.conf/25NetbiosNameServers

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

